netif_receive_skb
Prev | Driver Support | Next

## Name

netif_receive_skb — process receive buffer from network

## Synopsis

`int netif_receive_skb (` | struct sk_buff * | skb`)`;

## Arguments

`skb`

  buffer to process

## Description

`netif_receive_skb` is the main receive data processing function. It always succeeds. The buffer may be dropped during processing for congestion control or by the protocol layers.

This function may only be called from softirq context and interrupts should be enabled.

Return values (usually ignored):

## NET_RX_SUCCESS

no congestion

## NET_RX_DROP

packet was dropped

Prev | Up | Next
netif_rx | Home | __napi_schedule